Skip to main content
GET
Fetch all bank account beneficiaries and bank transfer type
Fetches all saved fiat (bank account) beneficiaries.

Authorizations

x-api-key
string
header
required

Requires authentication via API key and HMAC signature.

  • x-api-key: Your API key generated from your Onboard Business dashboard.
  • x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 seconds
  • x-signature: SHA256 HMAC HEX signature calculated over t={x-timestamp}&{requestBody} using your API Secret.

Query Parameters

currency
string

The currency code for the request.

Example:

"USD"

accountHolderType
enum<string>

The account holder type

Available options:
INDIVIDUAL,
BUSINESS
page
integer
default:1

Page parameter, starting from 1

Required range: x >= 1
size
integer
default:20
Required range: 1 <= x <= 100

Response

Beneficiary fetched

Base object for paginated list

name
string

Descriptive name for the list

size
integer<int32>

Positive integer

Required range: x >= 0
totalItems
integer<int32>

Positive integer

Required range: x >= 0
nextPage
integer<int32>

Positive integer

Required range: x >= 0
previousPage
integer<int32>

Positive integer

Required range: x >= 0
content
object[]

List of Beneficiaries

Fiat beneficiary object